cet-is-public - Support #2562

Art Externals 0.4.3 not building as expected on the Kansas State Cluster.
03/15/2012 01:30 PM - David Mckee

Status: Closed Start date: 03/15/2012
Priority: Normal Due date:

Assignee: Lynn Garren % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Starting from the March 8th version of http://oink.fnal.gov/distro/art/art_externals-0.04.03-source.tar.gz and following
https://cdcvs.fnal.gov/redmine/projects/cet-is-public/wiki/Building_art_externals | get a failure to build on gcc (after cmake built and
installed successfully.

The log file ends:

$ tail -20 log.bulidGCC

checking for libelf/gelf.h... no

checking for the correct version of libelf... yes

checking for elf_getshdrstrndx... no

checking for elf_getshstrndx... yes

configure: error:

The following requested languages could not be built: go
Supported languages are: c,c++,fortran, java,lto,objc,obj-c++
++ make bootstrap

make: *** No rule to make target “bootstrap'. Stop.
++ make install

make: *** No rule to make target “install'. Stop.

++ echo - --—-—-——1—7""1""""7"-"-"1-""H""""""""""""""""""""—"—"—-

++ cd '/user/cern/externals-0.4.3/gcc/v4_6_1/Linux64bit+2.6-2.5/src/gcc—*/host—*/gcc'
/tmp/filelzZ2gw: line 141: cd: /user/cern/externals-0.4.3/gcc/v4_6_1/Linux64bit+2.6-2.5/src/gcc—*/
host-*/gcc: No such file or directory

++ rc=1

++ /bin/rm -f /tmp/filelzZ2qw

++ test 1 = 0

ERROR: Error in call to system: error from subprocess

Finished building gcc for flavor Linux64bit+2.6-2.5

Possibly relevant info:

$ uname -a

Linux hepl 2.6.18-238.9.1.el5 #1 SMP Tue Apr 12 18:53:46 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux
$ ups flavor

Linux64bit+2.6-2.5

$ cat /etc/redhat-release

Scientific Linux SL release 5.3 (Boron)

In trying to figure this out | noticed a difference in

$ 1s SPRODUCTS/gcc/v4_6_1/Linux64bit+2.6-2.5/src/

0 gcc-4.5.1 gmp-5.0.2 mpfr-3.0.0 ppl-0.11.2
cloog-0.16.2 gcc-4.6.1 mpc-0.8.2 mpfr-3.0.1

cloog-ppl-0.15.9 gmp-5.0.1 mpc-0.9 ppl-0.10

and

$ 1s /user/cern/externals-0.4.2/gcc/v4_6_1/Linux64bit+2.6-2.5/src/
0 cloog-0.16.2 gcc-4.6.1 gmp-5.0.2 mpc-0.9 mpfr-3.0.1 ppl-0.11.2
which seemed a little odd.

For the moment | am copying the gcc from externals 0.4.2 and proceding...

History

#1 - 03/15/2012 02:51 PM - Lynn Garren

There is no reason to rebuild gcc if you already have a working copy.

#2 - 03/30/2012 11:12 AM - Lynn Garren
- Status changed from New to Closed

- Assignee set to Lynn Garren
